#include <iostream>
#include <mindComponent.h>
#include <marionette/marionette.h>

namespace smo {

void MindComponent::preJoltHook(sscl::PuppetThread &self)
{
	pthread_setname_np(pthread_self(), self.name.c_str());
}

void MindComponent::handleLoopExceptionHook()
{
	mrntt::mrntt.exceptionInd();
}

void MindComponent::preLoopHook()
{
	std::cout << thread->name << ":defaultPuppetMain"
		<< ": Entering event loop" << "\n";
}

void MindComponent::postLoopHook()
{
	std::cout << thread->name << ":defaultPuppetMain"
		<< ": Exited event loop" << "\n";
}

} // namespace smo
